Subject: Re: RCS 5.7 Patches
From: Jason Tishler <[email-masked]>
To: Louis Bohm <[email-masked]>
Cc: Cygwin <[email-masked]>
Date: Mon, 16 Apr 2001 12:21:58 -0400

Louis,

On Mon, Apr 16, 2001 at 11:15:43AM -0400, Louis Bohm wrote:
> I really do not get what I am doing wrong... I made sure that there are
> no CR's in the patch
> foo.patch: ASCII English text
> And when I do a od -c I see the \n's but not the \r's.
> 
> And Bellow is the result of the patch:
> 
> lbohm@yoda:/mnt% patch -p 1 -i foo.patch

I finally figured out was is causing your problem -- white space
differences between the patch and source.

Try the following:

    $ patch -l -p1 --dry-run <~/foo.patch

The -l (as in the letter L, not the number 1) option should solve your
problem.

Jason

-- 
Jason Tishler
Director, Software Engineering       Phone: +1 (732) 264-8770 x235
Dot Hill Systems Corp.               Fax:   +1 (732) 264-8798
82 Bethany Road, Suite 7             Email: [email-masked]
Hazlet, NJ 07730 USA                 WWW:   http://www.dothill.com

--
Want to unsubscribe from this list?
Check out: http://cygwin.com/ml/#unsubscribe-simple